Bug 1027170 - Hammer CLI "partition_table add_operatingsystem" fails
Hammer CLI "partition_table add_operatingsystem" fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Sachin Ghai
: Triaged
Depends On: 1025544
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 05:16 EST by Hayk Hovsepyan
Modified: 2014-07-02 10:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:09:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-11-06 05:16:07 EST
Description of problem:
"hammer partition_table add_operatingsystem" fails with error: "Error: resource or action not defined"

Version-Release number of selected component (if applicable):
foreman-postgresql-1.3.0-27.el6sat.noarch
rubygem-hammer_cli_foreman-0.0.9-2.el6sat.noarch
rubygem-foreman_api-0.1.8-2.el6sat.noarch
foreman-1.3.0-27.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-7.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-foreman-all-1.4.6-61.el6sat.noarch
ruby193-rubygem-foreman_api-0.1.8-2.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-6.el6sat.noarch
Comment 2 Dominic Cleal 2013-12-03 05:11:14 EST
Should be fixed in:
  hammer_cli 0.0.9
  hammer_cli_foreman 0.0.10
  foreman_api 0.1.8
Comment 6 Sachin Ghai 2014-05-06 05:24:36 EDT
Verified with Satellite-6.0.3-RHEL-6-20140430.4

[root@qetello02 yum.repos.d]# hammer partition-table add-operatingsystem  --name VsDP --operatingsystem-id 68
Operating system has been associated
Comment 7 Bryan Kearney 2014-07-02 10:09:16 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 8 Bryan Kearney 2014-07-02 10:09:17 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.